function Vnew = ImposeSymmetry(V)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This program makes an almost symmetric matrix really symmetric, in
%order to be able to drawn from mvnrnd using cholinv.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Last revised: January 26, 2008                                     %
%Written by: Ricardo Reis                                           %
%Input: a square matrix                                             %
%Output: symmetric square matrix                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[N M] = size(V);
%Checks
if N~=M; error('Did not supply square matrix'); end;
temp=abs(V-V'); temp=max(max(temp));
if temp>0.01; disp('Deviation frmm symmetry more than 0.01 tolerance'); end
%Imposition of symmetry
Vnew=V; for i=1:N-1; Vnew(i,i+1:N)=Vnew(i+1:N,i)'; end
