function post = SIGEpost(pars)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This is part of the set of files that accompany the article:       %
%                                                                   %
%Ricardo Reis (2008) "Estimating a SIGE model for policy evaluation"%
%in Monetary Policy under Uncertainty, Central Bank of Chile.       %
%                                                                   %
%See the appendix of the paper or its NBER or CEPR working paper    %
%versions for a detailed explanation of the algorithms.             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Please cite if you use the programs. I do not provide tech support.%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This file: compute posterior density                               %
%Last revised: October 15, 2007                                     %
%Written by: Tiago Berriel and Ricardo Reis                         %
%Input: the 15 parameters being estimated                           %
%Output: the posterior density                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%% STEP 1: BAYESIAN PRIORS %%%%%
global Ppar; load Prior_pars.mat Ppar;

%%%%% STEP 2: LOG-LIKELIHOOD AND PRIOR %%%%%
L = SIGEloglik(pars)'; % Minus Log-likelihood
prior = SIGEprior(pars);
%%%%% STEP 3: MINUS LOG POSTERIOR DENSITY %%%%%
post = L - log(prior)
