function V = SIGEv(ma_m,ma_a,ma_g,ma_nu,ma_gam,Sigma)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This is part of the set of files that accompany the article:       %
%Mankiw, N. Gregory and Ricardo Reis (2007) "Sticky Information in  %
%General Equilibrium," Journal of the European Economic Association,%
%forthcoming. See the appendix of the NBER or CEPR working paper    %
%versions for a detailed explanation of the algorithms.             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Please cite if you use the programs. I do not provide tech support.%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Last revised: October 30, 2006                                     %
%Written by: Ricardo Reis                                           %
%Input: ma solutions and Sigma matrixm, for any N=>T                %
%Output: V matrix                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global T N K;

%%%%STEP 1: Build Omega matrix in Proposition 2 %%%%%
Omega=zeros(5*T,5*N);
Sigma_half=chol(Sigma);
PHI = [];
PHIreverse =[] ;
maxN = max(T,N);
for i=1:maxN
    temp = [ma_m(i,:)' ma_a(i,:)' ma_g(i,:)' ma_nu(i,:)' ma_gam(i,:)']*Sigma_half;
    %temp = [ma_m(i,:)' ma_a(i,:)' ma_g(i,:)' ma_nu(i,:)' ma_gam(i,:)'];
    PHI = [PHI; temp];
    PHIreverse = [temp ; PHIreverse];
end
Omega(:,1:5)=PHI;
for i=1:maxN-1
    temp=[PHIreverse(K*(maxN-1-i)+1:K*(maxN-1),1:K); PHI(1:K*(maxN-i),1:K)];
    Omega(:,5*i+1:5*i+5) = temp;
end
Omega=Omega(1:5*T,1:5*N);
%%%%STEP 2: V matrix in Proposition 2 %%%%%
V=Omega*Omega';
%V = Omega * kron(eye(N),Sigma) * Omega';